#include<bits/stdc++.h>
using namespace std;
string a,aa,b,bb,sol;
int x,y;
int main(){
  cin>>a>>b;
  x=(int)a.size()-(int)b.size();
  y=(int)b.size()-(int)a.size();
  for(int i=0; i<x; i++)bb.push_back(0);
  for(int i=0; i<y; i++)aa.push_back(0);
  a=aa+a;
  b=bb+b;
  for(int i=0; i<a.size(); i++){
    if(a[i]>=b[i])sol.push_back(a[i]);
    if(a[i]<=b[i])sol.push_back(b[i]);
  }
  cout<<sol<<endl;
  return 0;
}